BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Text.Encoding

Represents an ASCII character implementation of .

encodes characters as single 7-bit ASCII characters. This encoding supports Unicode code points between U+0000 and U+007F, inclusive.

The limited range of code points supported by makes ASCII inadequate for many internationalized applications. and provide encodings that are more suitable for internationalized applications.

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` A to encode as ASCII-encoded characters.

  Determines the exact number of bytes required to encode the specified string as ASCII-encoded characters.

  A containing the number of bytes required to encode as ASCII-encoded characters.

  This method overrides .

  is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` `` `` A array containing the characters to encode as ASCII-encoded characters. A that specifies the first index of to encode. A that specifies the number of elements in to encode.

  Determines the exact number of bytes required to encode the specified range of the specified array of characters as ASCII-encoded characters.

  A containing the number of bytes required to encode the range in from to + -1 as ASCII-encoded characters.

  This method overrides .

  is .

  < 0.

  -or-

  < 0.

  -or-

  and do not specify a valid range in (i.e. ( + - 1) > .Length).

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` `` `` `` `` A array containing the characters to encode as ASCII-encoded characters. A that specifies the first index of to encode. A that specifies the number of elements in to encode. A array to encode. A that specifies the first index of to encode into.

  Encodes the specified range of the specified array of characters into the specified range of the specified array of bytes as ASCII-encoded characters.

  A whose value equals the number of bytes encoded into as ASCII-encoded characters.

  Every object in that is encoded into and that does not have an ASCII equivalent (i.e. has a code point greater than U+007f) will be encoded as a question mark ('?').

  This method overrides .

  (.Length - ) < .

  is .

  -or-

  is .

  < 0.

  -or-

  < 0.

  -or-

  (.Length - ) < .

  -or-

  < 0.

  -or-

  > .Length.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` `` `` `` A to encode as ASCII-encoded characters. A that specifies the first index of from which to encode. A that specifies the number of elements in to encode. A array to encode. A that specifies the first index of to encode into. To be added. To be added. To be added. To be added.

  Encodes the specified range of the specified string into the specified range of the specified array of bytes as ASCII-encoded characters.

  A whose value equals the number of bytes encoded into as ASCII-encoded characters.

  Every object in that is encoded into and that does not have an ASCII equivalent (i.e. has a code point greater than U+007f) will be encoded as a question mark ('?').

  This method overrides .

  (.Length - ) < .

  is .

  -or-

  is .

  < 0.

  -or-

  < 0.

  -or-

  (.Length - ) < .

  -or-

  < 0.

  -or-

  >= .Length.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` `` `` A array to decode as ASCII-encoded characters. A that specifies the first index in to decode. A that specifies the number elements in to decode.

  Determines the exact number of characters that will be produced by decoding the specified range of the specified array of bytes as ASCII-encoded characters.

  A whose value equals the number of characters a call to will produce if presented with the specified range of .

  This value does not take into account the state in which the current instance was left following the last call to . This contrasts with , which maintains state information across calls.

  This method overrides .

  is .

  < 0.

  -or-

  < 0.

  -or-

  (.Length - ) < .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` `` `` `` `` A array to decode as ASCII-encoded characters. A that specifies the first index of from which to decode. A that specifies the number elements in to decode. A array of characters to decode into. A that specifies the first index of to store the decoded bytes.

  Decodes the specified range of the specified array of bytes into the specified range of the specified array of characters as ASCII-encoded characters.

  A whose value equals the number of characters decoded into as ASCII-encoded characters.

  This method overrides .

  can be used to determine the exact number of characters that will be produced for a specified range of bytes. Alternatively, the method can be used to determine the maximum number of characters that will be produced for a specified number of bytes, regardless of the actual byte values.

  (.Length - ) < .

  is .

  -or-

  is .

  < 0.

  -or-

  < 0.

  -or-

  (.Length - ) < .

  -or-

  < 0.

  -or-

  > .Length.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.Decoder To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Text.Encoder To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` A that specifies the number of characters to encode as ASCII-encoded characters.

  Returns the maximum number of bytes required to encode the specified number of characters as ASCII-encoded characters, regardless of the actual character values.

  A containing the maximum number of bytes required to encode characters as ASCII-encoded characters.

  This method overrides .

  Use this method to determine a minimum buffer size for byte arrays passed to the or method for the current instance. Using this minimum buffer size can help ensure that buffer overflow exceptions do not occur.

  < 0. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A that specifies the number of bytes to decode as ASCII-encoded characters.

  Gets the maximum number of characters produced by decoding a specified number of bytes as ASCII-encoded characters, regardless of the actual byte values.

  A containing the maximum number of characters that would be produced by decoding bytes as ASCII-encoded characters.

  This method overrides .

  Use this method to determine the minimum buffer size for character arrays passed to the or the methods. Using this minimum buffer size can help ensure that buffer overflow exceptions do not occur.

  < 0. 0 1.0.5000.0 2.0.0.0
- Method
  System.String `` A array to decode as ASCII-encoded characters.

  Decodes the specified array of bytes as a string of ASCII-encoded characters.

  A containing the decoded representation of as ASCII-encoded characters.

  This method overrides .

  is . 0 1.0.5000.0
- Method
  System.String `` `` `` A array to decode as ASCII-encoded characters.

  A that specifies the first index of from which to decode.

  A that specifies the number of elements in to decode.

  To be added.

  Decodes the specified range of the specified array of bytes as a string of ASCII-encoded characters.

  A object containing the decoded representation of the range in from to + -1 as ASCII-encoded characters.

  This method overrides .

  is .

  < 0.

  -or-

  < 0.

  -or-

  (.Length - ) < .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added. To be added. To be added. 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)